% This is an angle dependent shape
% 
% sphere 1
r=1; thet=0:pi/120:pi;phi=0:pi/120:2*pi;
[Thet Phi]=meshgrid(thet,phi);

npos=0;
l=6;
  for m=0:l
    npos=npos+1;
    figure
    set(gcf,'pos',[  50+25*npos    50+25*npos   500 350] )
    set(gcf,'menu','none','numbertitle','off','name',['Y_' num2str(l) '_' num2str(m)] ) 
    set(gcf,'menu','none');
    set(gcf,'color','white')
    set(gcf,'menubar','none')
    set(gcf,'color','white')

     array=ylm(l,m,Thet,Phi);
     arrayp=conj(array);
     rthetphi=r^2.*array.*arrayp ; % Y(l,m)^2
     xx1=rthetphi.*sin(Thet).*cos(Phi);
     yy1=rthetphi.*sin(Thet).*sin(Phi);
     zz1=rthetphi.*cos(Thet);

     surfl(xx1,yy1, zz1 );...
     axis equal,shading interp; colormap hot;...
     rotate3d
     drawnow
     set(gca,'visible','off')
  end


 

